Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/infra/gmfdiag')
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF10
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.debug/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.properties/META-INF/MANIFEST.MF12
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext.ui/META-INF/MANIFEST.MF12
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext/META-INF/MANIFEST.MF28
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css/META-INF/MANIFEST.MF36
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF24
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF8
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.common/META-INF/MANIFEST.MF50
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.controlmode/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model/META-INF/MANIFEST.MF10
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.palette/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.dnd/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.hyperlink/META-INF/MANIFEST.MF8
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.menu/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.modelexplorer/META-INF/MANIFEST.MF18
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF10
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF10
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF14
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF8
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.viewersearcher/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.xtext.glue/META-INF/MANIFEST.MF14
23 files changed, 147 insertions, 147 deletions
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF
index 44438439ce9..25623bfe247 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF
@@ -1,4 +1,6 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.css.configuration.ha
+ ndler
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
@@ -16,17 +18,15 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.emf.appearance;bundle-version="1.0.0",
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.0.0",
org.eclipse.e4.ui.css.core;bundle-version="0.10.2",
- org.eclipse.papyrus.emf.facet.custom.core;bundle-version="0.4.0",
- org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="0.4.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.css.configuration.ha
- ndler
+ org.eclipse.papyrus.emf.facet.custom.core;bundle-version="1.0.0",
+ org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.0.0"
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: CSS Configuration (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.css.configuration.
Activator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.configurati
on;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.debug/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.debug/META-INF/MANIFEST.MF
index 27cdcba2225..c36fdad1c9f 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.debug/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.debug/META-INF/MANIFEST.MF
@@ -19,9 +19,9 @@ Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: CSS Debug view (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.css.debug.Activato
r
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.debug;singl
eton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.properties/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.properties/META-INF/MANIFEST.MF
index 3c7307be1fd..7bba2c1af66 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.properties/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.properties/META-INF/MANIFEST.MF
@@ -1,4 +1,7 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.css.properties.creation,
+ org.eclipse.papyrus.infra.gmfdiag.css.properties.databinding,
+ org.eclipse.papyrus.infra.gmfdiag.css.properties.provider
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.properties;bundle-version="1.0.0",
@@ -19,18 +22,15 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.gmfdiag.css.model;bundle-version="1.0.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.0.0",
- org.eclipse.papyrus.emf.facet.custom.core;bundle-version="0.4.0",
- org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="0.4.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.css.properties.creation,
- org.eclipse.papyrus.infra.gmfdiag.css.properties.databinding,
- org.eclipse.papyrus.infra.gmfdiag.css.properties.provider
+ org.eclipse.papyrus.emf.facet.custom.core;bundle-version="1.0.0",
+ org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.0.0"
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: CSS Properties (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.css.properties.Act
ivator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.properties;
singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext.ui/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext.ui/META-INF/MANIFEST.MF
index 02e27331549..7aab1d27cfe 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext.ui/META-INF/MANIFEST.MF
@@ -1,4 +1,8 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.ui.contentassist,
+ org.eclipse.papyrus.infra.gmfdiag.ui.contentassist.antlr,
+ org.eclipse.papyrus.infra.gmfdiag.ui.internal,
+ org.eclipse.papyrus.infra.gmfdiag.ui.quickfix
Require-Bundle: org.eclipse.papyrus.infra.gmfdiag.css.xtext;bundle-version="1.0.0",
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
@@ -12,19 +16,15 @@ Require-Bundle: org.eclipse.papyrus.infra.gmfdiag.css.xtext;bundle-version="1.0.
org.eclipse.compare,
org.apache.log4j;bundle-version="1.2.15",
org.eclipse.e4.ui.css.core;bundle-version="0.10.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.ui.contentassist,
- org.eclipse.papyrus.infra.gmfdiag.ui.contentassist.antlr,
- org.eclipse.papyrus.infra.gmfdiag.ui.internal,
- org.eclipse.papyrus.infra.gmfdiag.ui.quickfix
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: CSS Editor UI (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.ui.internal.CSSAct
ivator
+Bundle-ManifestVersion: 2
+Import-Package: org.apache.log4j
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.xtext.ui;si
ngleton:=true
-Import-Package: org.apache.log4j
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext/META-INF/MANIFEST.MF
index bccbb6fe0e6..1970823b2df 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.xtext/META-INF/MANIFEST.MF
@@ -1,4 +1,16 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag,
+ org.eclipse.papyrus.infra.gmfdiag.css,
+ org.eclipse.papyrus.infra.gmfdiag.css.impl,
+ org.eclipse.papyrus.infra.gmfdiag.css.util,
+ org.eclipse.papyrus.infra.gmfdiag.formatting,
+ org.eclipse.papyrus.infra.gmfdiag.generator,
+ org.eclipse.papyrus.infra.gmfdiag.parser.antlr,
+ org.eclipse.papyrus.infra.gmfdiag.parser.antlr.internal,
+ org.eclipse.papyrus.infra.gmfdiag.scoping,
+ org.eclipse.papyrus.infra.gmfdiag.serializer,
+ org.eclipse.papyrus.infra.gmfdiag.services,
+ org.eclipse.papyrus.infra.gmfdiag.validation
Require-Bundle: org.eclipse.xtext;bundle-version="2.1.0";visibility:=reexport,
org.eclipse.xtext.xbase;bundle-version="2.1.0";resolution:=optional;visibility:=reexport,
org.apache.log4j;bundle-version="1.2.15",
@@ -13,26 +25,14 @@ Require-Bundle: org.eclipse.xtext;bundle-version="2.1.0";visibility:=reexport,
org.antlr.runtime,
org.eclipse.xtext.common.types,
org.eclipse.core.commands;bundle-version="3.6.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag,
- org.eclipse.papyrus.infra.gmfdiag.css,
- org.eclipse.papyrus.infra.gmfdiag.css.impl,
- org.eclipse.papyrus.infra.gmfdiag.css.util,
- org.eclipse.papyrus.infra.gmfdiag.formatting,
- org.eclipse.papyrus.infra.gmfdiag.generator,
- org.eclipse.papyrus.infra.gmfdiag.parser.antlr,
- org.eclipse.papyrus.infra.gmfdiag.parser.antlr.internal,
- org.eclipse.papyrus.infra.gmfdiag.scoping,
- org.eclipse.papyrus.infra.gmfdiag.serializer,
- org.eclipse.papyrus.infra.gmfdiag.services,
- org.eclipse.papyrus.infra.gmfdiag.validation
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: CSS Editor (Incubation)
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.xtext;singl
- eton:=true
Import-Package: org.apache.log4j,
org.eclipse.xtext.xbase.lib
+Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.xtext;singl
+ eton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css/META-INF/MANIFEST.MF
index 385a581b8bf..a703f668464 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css/META-INF/MANIFEST.MF
@@ -1,4 +1,20 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.css,
+ org.eclipse.papyrus.infra.gmfdiag.css.converters,
+ org.eclipse.papyrus.infra.gmfdiag.css.dom,
+ org.eclipse.papyrus.infra.gmfdiag.css.engine,
+ org.eclipse.papyrus.infra.gmfdiag.css.engine.enginecopy,
+ org.eclipse.papyrus.infra.gmfdiag.css.handler,
+ org.eclipse.papyrus.infra.gmfdiag.css.helper,
+ org.eclipse.papyrus.infra.gmfdiag.css.listener,
+ org.eclipse.papyrus.infra.gmfdiag.css.lists,
+ org.eclipse.papyrus.infra.gmfdiag.css.notation,
+ org.eclipse.papyrus.infra.gmfdiag.css.preferences,
+ org.eclipse.papyrus.infra.gmfdiag.css.provider,
+ org.eclipse.papyrus.infra.gmfdiag.css.resource,
+ org.eclipse.papyrus.infra.gmfdiag.css.service,
+ org.eclipse.papyrus.infra.gmfdiag.css.style.impl,
+ org.eclipse.papyrus.infra.gmfdiag.css.theme
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.e4.ui.css.core;bundle-version="0.10.0",
@@ -18,29 +34,13 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.0.0",
org.eclipse.gmf.runtime.notation.edit;bundle-version="1.7.0",
org.w3c.dom.svg;bundle-version="1.1.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.css,
- org.eclipse.papyrus.infra.gmfdiag.css.converters,
- org.eclipse.papyrus.infra.gmfdiag.css.dom,
- org.eclipse.papyrus.infra.gmfdiag.css.engine,
- org.eclipse.papyrus.infra.gmfdiag.css.engine.enginecopy,
- org.eclipse.papyrus.infra.gmfdiag.css.handler,
- org.eclipse.papyrus.infra.gmfdiag.css.helper,
- org.eclipse.papyrus.infra.gmfdiag.css.listener,
- org.eclipse.papyrus.infra.gmfdiag.css.lists,
- org.eclipse.papyrus.infra.gmfdiag.css.notation,
- org.eclipse.papyrus.infra.gmfdiag.css.preferences,
- org.eclipse.papyrus.infra.gmfdiag.css.provider,
- org.eclipse.papyrus.infra.gmfdiag.css.resource,
- org.eclipse.papyrus.infra.gmfdiag.css.service,
- org.eclipse.papyrus.infra.gmfdiag.css.style.impl,
- org.eclipse.papyrus.infra.gmfdiag.css.theme
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.css.Activator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css;singleton:=
true
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
index 4e999ac5de7..28b61016e05 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
@@ -1,15 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.extensionpoints.editors,
- org.eclipse.papyrus.extensionpoints.editors.configuration,
- org.eclipse.papyrus.extensionpoints.editors.definition,
- org.eclipse.papyrus.extensionpoints.editors.preferences,
- org.eclipse.papyrus.extensionpoints.editors.ui,
- org.eclipse.papyrus.extensionpoints.editors.ui.images,
- org.eclipse.papyrus.extensionpoints.editors.utils
-Bundle-ActivationPolicy: lazy
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
org.eclipse.emf.ecore;bundle-version="2.10.0",
org.eclipse.ui;bundle-version="3.1.0",
@@ -17,11 +6,22 @@ Require-Bundle: org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
org.eclipse.papyrus.infra.emf;bundle-version="1.0.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.infra.constraints;bundle-version="1.0.0"
+Export-Package: org.eclipse.papyrus.extensionpoints.editors,
+ org.eclipse.papyrus.extensionpoints.editors.configuration,
+ org.eclipse.papyrus.extensionpoints.editors.definition,
+ org.eclipse.papyrus.extensionpoints.editors.preferences,
+ org.eclipse.papyrus.extensionpoints.editors.ui,
+ org.eclipse.papyrus.extensionpoints.editors.ui.images,
+ org.eclipse.papyrus.extensionpoints.editors.utils
Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
Bundle-Activator: org.eclipse.papyrus.extensionpoints.editors.Activato
r
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.extensionpoints.editors;singl
eton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF
index 493e7348a61..c11ef9925eb 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF
@@ -1,6 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.commands,
- org.eclipse.papyrus.commands.wrappers
Require-Bundle: org.eclipse.ui.workbench,
org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
org.eclipse.gmf.runtime.common.core,
@@ -16,13 +14,15 @@ Require-Bundle: org.eclipse.ui.workbench,
org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.0.0",
org.eclipse.core.expressions;bundle-version="3.4.500",
org.eclipse.gmf.runtime.diagram.ui.resources.editor
+Export-Package: org.eclipse.papyrus.commands,
+ org.eclipse.papyrus.commands.wrappers
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.papyrus.commands.Activator
+Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.commands.Activator
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.commands;single
ton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.common/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.common/META-INF/MANIFEST.MF
index 5d782327186..ff02fc97054 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.common/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.common/META-INF/MANIFEST.MF
@@ -1,24 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.common,
- org.eclipse.papyrus.infra.gmfdiag.common.adapter,
- org.eclipse.papyrus.infra.gmfdiag.common.commands,
- org.eclipse.papyrus.infra.gmfdiag.common.commands.requests,
- org.eclipse.papyrus.infra.gmfdiag.common.databinding.custom,
- org.eclipse.papyrus.infra.gmfdiag.common.editpart,
- org.eclipse.papyrus.infra.gmfdiag.common.editpolicies,
- org.eclipse.papyrus.infra.gmfdiag.common.figure.edge,
- org.eclipse.papyrus.infra.gmfdiag.common.figure.node,
- org.eclipse.papyrus.infra.gmfdiag.common.handler,
- org.eclipse.papyrus.infra.gmfdiag.common.helper,
- org.eclipse.papyrus.infra.gmfdiag.common.listener,
- org.eclipse.papyrus.infra.gmfdiag.common.model,
- org.eclipse.papyrus.infra.gmfdiag.common.preferences,
- org.eclipse.papyrus.infra.gmfdiag.common.providers,
- org.eclipse.papyrus.infra.gmfdiag.common.service.shape,
- org.eclipse.papyrus.infra.gmfdiag.common.snap,
- org.eclipse.papyrus.infra.gmfdiag.common.types,
- org.eclipse.papyrus.infra.gmfdiag.common.undocontext,
- org.eclipse.papyrus.infra.gmfdiag.common.utils
Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.5.0",
org.eclipse.emf.ecore.edit;bundle-version="2.5.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
@@ -51,21 +31,41 @@ Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.5.0",
org.apache.batik.xml;bundle-version="[1.6.0,1.7.0)",
org.eclipse.gmf.tooling.runtime,
com.ibm.icu,
- org.eclipse.papyrus.emf.facet.custom.core;bundle-version="0.4.0",
- org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="0.4.0",
+ org.eclipse.papyrus.emf.facet.custom.core;bundle-version="1.0.0",
+ org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.0.0",
org.eclipse.papyrus.infra.services.decoration;bundle-version="1.0.0",
org.eclipse.papyrus.infra.services.markerlistener;bundle-version="1.0.0",
org.eclipse.papyrus.infra.viewpoints.configuration;bundle-version="1.0.0",
org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.0.0",
- org.eclipse.papyrus.uml.tools
+ org.eclipse.papyrus.uml.tools;bundle-version="1.0.0"
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.common,
+ org.eclipse.papyrus.infra.gmfdiag.common.adapter,
+ org.eclipse.papyrus.infra.gmfdiag.common.commands,
+ org.eclipse.papyrus.infra.gmfdiag.common.commands.requests,
+ org.eclipse.papyrus.infra.gmfdiag.common.databinding.custom,
+ org.eclipse.papyrus.infra.gmfdiag.common.editpart,
+ org.eclipse.papyrus.infra.gmfdiag.common.editpolicies,
+ org.eclipse.papyrus.infra.gmfdiag.common.figure.edge,
+ org.eclipse.papyrus.infra.gmfdiag.common.figure.node,
+ org.eclipse.papyrus.infra.gmfdiag.common.handler,
+ org.eclipse.papyrus.infra.gmfdiag.common.helper,
+ org.eclipse.papyrus.infra.gmfdiag.common.listener,
+ org.eclipse.papyrus.infra.gmfdiag.common.model,
+ org.eclipse.papyrus.infra.gmfdiag.common.preferences,
+ org.eclipse.papyrus.infra.gmfdiag.common.providers,
+ org.eclipse.papyrus.infra.gmfdiag.common.service.shape,
+ org.eclipse.papyrus.infra.gmfdiag.common.snap,
+ org.eclipse.papyrus.infra.gmfdiag.common.types,
+ org.eclipse.papyrus.infra.gmfdiag.common.undocontext,
+ org.eclipse.papyrus.infra.gmfdiag.common.utils
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.common.Activator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.common;singleto
n:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.controlmode/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.controlmode/META-INF/MANIFEST.MF
index 11246b42c63..f4aca7019ad 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.controlmode/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.controlmode/META-INF/MANIFEST.MF
@@ -13,9 +13,9 @@ Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: GMF-specific control mode behavior (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.controlmode.Activa
tor
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.controlmode;sin
gleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model/META-INF/MANIFEST.MF
index 298de66c314..aa425ef0d4d 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model/META-INF/MANIFEST.MF
@@ -1,19 +1,19 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.css.model,
- org.eclipse.papyrus.infra.gmfdiag.css.stylesheets,
- org.eclipse.papyrus.infra.gmfdiag.css.stylesheets.impl,
- org.eclipse.papyrus.infra.gmfdiag.css.stylesheets.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.ui,
org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
org.eclipse.uml2.uml;bundle-version="4.0.0"
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.css.model,
+ org.eclipse.papyrus.infra.gmfdiag.css.stylesheets,
+ org.eclipse.papyrus.infra.gmfdiag.css.stylesheets.impl,
+ org.eclipse.papyrus.infra.gmfdiag.css.stylesheets.util
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %pluginName
Bundle-Localization: plugin
+Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.model;singl
eton:=true
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.palette/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.palette/META-INF/MANIFEST.MF
index fcf3d4b73ca..4f2819e49f7 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.palette/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.palette/META-INF/MANIFEST.MF
@@ -15,9 +15,9 @@ Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: CSS Palette customization (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.css.palette.Activa
tor
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.css.palette;sin
gleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.dnd/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.dnd/META-INF/MANIFEST.MF
index fae12e2d16f..4f54a24eb09 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.dnd/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.dnd/META-INF/MANIFEST.MF
@@ -1,4 +1,6 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.dnd.policy,
+ org.eclipse.papyrus.infra.gmfdiag.dnd.strategy
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
@@ -11,14 +13,12 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.widgets;bundle-version="1.0.0",
org.eclipse.core.databinding;bundle-version="1.4.1",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.dnd.policy,
- org.eclipse.papyrus.infra.gmfdiag.dnd.strategy
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: Customizable Drag and Drop (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.dnd.Activator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.dnd;singleton:=
true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.hyperlink/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.hyperlink/META-INF/MANIFEST.MF
index 4c04e9b0729..36bd466ba81 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.hyperlink/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.hyperlink/META-INF/MANIFEST.MF
@@ -1,4 +1,7 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.hyperlink,
+ org.eclipse.papyrus.infra.gmfdiag.hyperlink.editpolicies,
+ org.eclipse.papyrus.infra.gmfdiag.hyperlink.ui
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.infra.hyperlink;bundle-version="1.0.0",
@@ -16,16 +19,13 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.gmfdiag.dnd;bundle-version="1.0.0",
org.eclipse.papyrus.infra.widgets;bundle-version="1.0.0",
org.eclipse.papyrus.infra.services.navigation;bundle-version="1.0.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.hyperlink,
- org.eclipse.papyrus.infra.gmfdiag.hyperlink.editpolicies,
- org.eclipse.papyrus.infra.gmfdiag.hyperlink.ui
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: GMF Diagram Hyperlink (Incubation)
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.hyperlink.Activato
r
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.hyperlink;singl
eton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.menu/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.menu/META-INF/MANIFEST.MF
index ecf9865dcf2..5cedf0e0033 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.menu/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.menu/META-INF/MANIFEST.MF
@@ -13,8 +13,8 @@ Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: %Bundle-Name
-Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.menu.Activator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.menu;singleton:
=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.modelexplorer/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.modelexplorer/META-INF/MANIFEST.MF
index 7ad5863dd55..282055c169e 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.modelexplorer/META-INF/MANIFEST.MF
@@ -12,25 +12,25 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.0.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
- org.eclipse.papyrus.emf.facet.query.java.core,
+ org.eclipse.papyrus.emf.facet.query.java.core;bundle-version="1.0.0",
org.eclipse.emf.ecore,
- org.eclipse.papyrus.emf.facet.efacet.core,
- org.eclipse.papyrus.emf.facet.efacet,
- org.eclipse.papyrus.emf.facet.efacet.metamodel,
- org.eclipse.papyrus.emf.facet.custom.metamodel,
- org.eclipse.papyrus.infra.emf,
+ org.eclipse.papyrus.emf.facet.efacet.core;bundle-version="1.0.0",
+ org.eclipse.papyrus.emf.facet.efacet;bundle-version="1.0.0",
+ org.eclipse.papyrus.emf.facet.efacet.metamodel;bundle-version="1.0.0",
+ org.eclipse.papyrus.emf.facet.custom.metamodel;bundle-version="1.0.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.0.0",
org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.0.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Localization: plugin
Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.modelexplorer.Acti
vator
-Bundle-ManifestVersion: 2
+Import-Package: org.eclipse.papyrus.emf.facet.custom.ui
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.modelexplorer;s
ingleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: org.eclipse.papyrus.emf.facet.custom.ui
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
index 5984fdcf341..28f3e8ac885 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
@@ -1,7 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.navigation,
- org.eclipse.papyrus.infra.gmfdiag.navigation.decorator,
- org.eclipse.papyrus.infra.gmfdiag.navigation.preference
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="1.0.0",
@@ -17,14 +14,17 @@ Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
org.eclipse.papyrus.infra.widgets;bundle-version="1.0.0",
org.eclipse.papyrus.infra.services.navigation;bundle-version="1.0.0"
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.navigation,
+ org.eclipse.papyrus.infra.gmfdiag.navigation.decorator,
+ org.eclipse.papyrus.infra.gmfdiag.navigation.preference
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Localization: plugin
Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.navigation.Activat
or
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.navigation;sing
leton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
index 1eac72ae2c9..51ed7ffb8c2 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
@@ -1,4 +1,7 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.outline,
+ org.eclipse.papyrus.infra.gmfdiag.outline.internal;x-internal:=true,
+ org.eclipse.papyrus.infra.gmfdiag.outline.overview
Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0",
@@ -11,17 +14,14 @@ Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.0.0",
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.0.0",
org.eclipse.papyrus.infra.emf;bundle-version="1.0.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.outline,
- org.eclipse.papyrus.infra.gmfdiag.outline.internal;x-internal:=true,
- org.eclipse.papyrus.infra.gmfdiag.outline.overview
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Localization: plugin
Bundle-Name: %pluginName
-Bundle-ManifestVersion: 2
+Bundle-Localization: plugin
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.outline.internal.A
ctivator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.outline;singlet
on:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF
index f0102ff4fbd..df1e79df4a5 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF
@@ -1,9 +1,4 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.0.0",
- com.ibm.icu,
- org.eclipse.papyrus.infra.tools;bundle-version="1.0.0"
Export-Package: org.eclipse.papyrus.infra.gmfdiag.preferences,
org.eclipse.papyrus.infra.gmfdiag.preferences.initializer,
org.eclipse.papyrus.infra.gmfdiag.preferences.jface.preference;x-internal:=true,
@@ -14,14 +9,19 @@ Export-Package: org.eclipse.papyrus.infra.gmfdiag.preferences,
org.eclipse.papyrus.infra.gmfdiag.preferences.ui.diagram,
org.eclipse.papyrus.infra.gmfdiag.preferences.ui.editor,
org.eclipse.papyrus.infra.gmfdiag.preferences.utils
+Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.0.0",
+ com.ibm.icu,
+ org.eclipse.papyrus.infra.tools;bundle-version="1.0.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.preferences.Activa
tor
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.preferences;sin
gleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF
index cbdf8697d24..89d286a0d55 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF
@@ -1,4 +1,6 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.properties.extension,
+ org.eclipse.papyrus.infra.gmfdiag.properties.modelelement
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.properties;bundle-version="1.0.0",
@@ -21,16 +23,14 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="1.0.0",
org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.0.0"
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.properties.extension,
- org.eclipse.papyrus.infra.gmfdiag.properties.modelelement
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %Bundle-Name
Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
+Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.properties.Activat
or
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.properties;sing
leton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.viewersearcher/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.viewersearcher/META-INF/MANIFEST.MF
index 8cc586fedf0..46362ee56e3 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.viewersearcher/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.viewersearcher/META-INF/MANIFEST.MF
@@ -9,11 +9,11 @@ Require-Bundle: org.eclipse.core.runtime,
Bundle-Vendor: %vendorName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %pluginName
Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.viewersearcher.Act
ivator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.viewersearcher;
singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
index 12c972f9391..433300b7a68 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
@@ -11,10 +11,10 @@ Require-Bundle: org.eclipse.ui,
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %Bundle-Name
Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
+Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.widgets.Activator
+Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.widgets;singlet
on:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.xtext.glue/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.xtext.glue/META-INF/MANIFEST.MF
index 0cabd5534c9..321050a31b5 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.xtext.glue/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.xtext.glue/META-INF/MANIFEST.MF
@@ -1,10 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.gmfdiag.xtext.glue,
- org.eclipse.papyrus.infra.gmfdiag.xtext.glue.concurrency,
- org.eclipse.papyrus.infra.gmfdiag.xtext.glue.contentassist,
- org.eclipse.papyrus.infra.gmfdiag.xtext.glue.edit.part,
- org.eclipse.papyrus.infra.gmfdiag.xtext.glue.editingdomain,
- org.eclipse.papyrus.infra.gmfdiag.xtext.glue.partialEditing
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.emf.common;bundle-version="2.5.0",
@@ -19,13 +13,19 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.0.0",
org.eclipse.uml2.uml;bundle-version="4.1.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0"
+Export-Package: org.eclipse.papyrus.infra.gmfdiag.xtext.glue,
+ org.eclipse.papyrus.infra.gmfdiag.xtext.glue.concurrency,
+ org.eclipse.papyrus.infra.gmfdiag.xtext.glue.contentassist,
+ org.eclipse.papyrus.infra.gmfdiag.xtext.glue.edit.part,
+ org.eclipse.papyrus.infra.gmfdiag.xtext.glue.editingdomain,
+ org.eclipse.papyrus.infra.gmfdiag.xtext.glue.partialEditing
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
Bundle-Name: XText GMF Glue (Incubation)
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.gmfdiag.xtext.glue.Activat
or
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.xtext.glue;sing
leton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5

Back to the top